Get the time spent entries of a person for a period. Give both start_date and end_date. Without them, the route returns all the entries. An administrator and the person get all the entries. A manager gets the entries of the projects they manage. A supervisor gets the entries of the projects they supervise, for the task types of their departments. A supervisor without department gets all the task types. Other users cannot read the time spents of other persons. You cannot read the time spents of a bot. The manager and supervisor roles are the roles held on the project team.
GET
/data/persons/{person_id}/time-spents
curl
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents?start_date=2022-07-01&end_date=2022-07-31" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"start_date": "2022-07-01",
"end_date": "2022-07-31"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "b35b7fb5-df86-5776-b181-68564193d360",
"project_id": "d57d91d7-f1a8-7998-d3a3-8a786315f581",
"task_type_id": "e68ea2e8-a2b9-8aa9-e4b4-9b897426a692",
"duration": 8.5,
"date": "2022-07-12"
}
]